<?xml version="1.0" encoding="UTF-8"?>
<!-- Es un archivo de mapeo -->
<!DOCTYPE mapper
  PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
    "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.mx.dla.dda.contrato.titulos.daos.DetalleTituloTransaccionDmDAO">


	<insert id="insertarDetalleTituloTX"
		parameterType="com.mx.dla.dda.contrato.titulos.dtos.DetalleTituloTransaccion">
		
		insert into DDA_M_CONTRATO_TITULOTRANS 
			(ID_TITULO_CNT,NOMBRE_ESTANDAR,NOMBRE_UNICO,EPISODIO,DURACION,ANNIO,CATEGORIA_A,GENERO_A,GENERO_B) 
		values 
			(#{idTituloTnt},#{nombreEstandar},#{nombreUnico},#{episodio},#{duracion},#{annio},#{categoriaA},#{generoA},#{generoB})
	</insert>

	<update id="actualizarDetalleTituloTX"
		parameterType="com.mx.dla.dda.contrato.titulos.dtos.DetalleTituloTransaccion">
		UPDATE DDA_M_CONTRATO_TITULOTRANS set
			NOMBRE_ESTANDAR = #{nombreEstandar},
			NOMBRE_UNICO = #{nombreUnico},
			EPISODIO = #{episodio},
			DURACION = #{duracion},
			ANNIO = #{annio},
			CATEGORIA_A = #{categoriaA},
			GENERO_A = #{generoA},
			GENERO_B = #{generoB}
		WHERE
			ID_TITULO_CNT=#{idTituloTnt}
	</update>
	
	<delete id="borrarDetalleTituloTX">
		delete DDA_M_CONTRATO_TITULOTRANS where ID_TITULO_CNT=#{idTituloTnt}
	</delete>
	
	<delete id="borrarDetalleTituloTXPorIdLista">
		delete DDA_M_CONTRATO_TITULOTRANS where ID_TITULO_CNT 
		 					in 
								(select t.ID_TITULO_CNT from  DDA_M_CONTRATO_TITULO t 
									where ID_LISTA=#{idLista}   )
	</delete>

	<resultMap id="detalleTituloTX"
		type="com.mx.dla.dda.contrato.titulos.dtos.DetalleTituloTransaccion">
		<id property="idTituloTnt" column="ID_TITULO_CNT" />
		<result property="nombreEstandar" column="NOMBRE_ESTANDAR" />
		<result property="nombreUnico" column="NOMBRE_UNICO" />
		<result property="episodio" column="EPISODIO" />
		<result property="duracion" column="DURACION" />
		<result property="annio" column="ANNIO" />
		<result property="categoriaA" column="CATEGORIA_A" />
		<result property="generoA" column="GENERO_A" />
		<result property="generoB" column="GENERO_B" />
	</resultMap>

	<select id="buscarDetalleTituloTX" resultMap="detalleTituloTX" >
		select
			*
		from
			DDA_M_CONTRATO_TITULOTRANS
		where
			ID_TITULO_CNT=#{idTituloTnt}
	</select>

	
</mapper>
